<?php
/*
Plugin Name: BBpress Front Page Text
Plugin URI: http://www.fldtrace.com/wordpress/bbpress-front-page-text-plugin
Description: Allows administrator to add a text on the homepage from BBpress admin. Use in your template files: <strong>&lt;?php echo bb_get_option('homepage_text'); ?&gt;</strong>
Author: Alexandru Raduta 
Version: 1.0
Author URI: http://www.fldtrace.com/
*/

add_action('bb_admin_menu_generator', 'first_page_quote_menu');
add_action('bb_admin_head', 'style_in_head');

$path = bb_get_option('uri').trim(str_replace(array(trim(BBPATH,"/\\"),"\\"),array("","/"),dirname(__FILE__)),' /\\');

function first_page_quote_menu() 
{
	global $bb_menu;
	$bb_menu[] = array(__('Front Page Text'), 'manage_options', 'homepage_text');
}

function homepage_text()
{
global $path;

if(isset($_POST['submit'])) {
	if(trim($_POST['homepage_text'])=="") {
		$message = '<p style="color:red">Please insert a text in the textarea!</p>';
	} else {
		$value = stripslashes($_POST['homepage_text']);
		bb_update_option( 'homepage_text', $value);
		$message = '<p style="color:green">Thank you! The text was saved!</p>';
	}
}
?>
<h2>Front Page Text</h2>
<?php if(isset($message)) { echo '<div class="updated">'.$message.'</div>'; } ?>
<script src="<?php echo $path; ?>/js/jquery-1.3.2.js" type="text/javascript"></script>
<script src="<?php echo $path; ?>/js/jquery.wysiwyg.js" type="text/javascript"></script>
<script language="javascript1.2">
$(function()
  {
      $('#homepage_text').wysiwyg();
  });
</script>
<form class="options" method="post" action="">
	<fieldset>
		<label for="homepage_text">
			Insert Text <br /><small>this text will appear on homepage</small>
		</label>
		<div>
			<textarea name="homepage_text" id="homepage_text" style="clear:left" cols="100" rows="10">
			<?php bb_form_option('homepage_text'); ?>
			</textarea>
		</div>
	</fieldset>
	<fieldset>
		<div class="spacer">
			<input type="submit" name="submit" id="submit" value="Submit" />
		</div>
	</fieldset>
</form>
<?php
}

function style_in_head() 
{
global $path;
?>
<link rel="stylesheet" href="<?php echo $path; ?>/js/jquery.wysiwyg.css" type="text/css" />
<?php
}
?>